{
  "$schema": "https://github.com/fastfetch-cli/fastfetch/raw/dev/doc/json_schema.json",
  "logo": {
    "source": "/home/alex/dotfiles/.config/fastfetch/logo.txt",
    "padding": {
      "top": 0,
      "right": 2
    },
    "color": {
        "1": "red",
        "2": "yellow"
    }
  },
  "display": {
    "separator": " ",
    "bar": {
      "width": 10,       // Width of percentage bars
      "charElapsed": "■", // Character for elapsed portion
      "charTotal": "-"   // Character for total portion
    },
    "percent": {
      "type": 3,         // 1=number, 2=bar, 3=both, 9=colored number
      "color": {
          "green": "green",
          "yellow": "light_yellow",
          "red": "light_red"
      }
    },
    "color": {
        "keys": "#f2b065",    // Key color
        "title": "red"     // Title color
    },
  },
  "modules": [
    "break",
    "break",
    "break",
    {
      "type": "os",
      "key": "{icon} "
    },
    {
      "type": "wm",
      "key": "{icon} "
    },
    {
      "type": "uptime",
      "key": "{icon} "
    },
    {
      "type": "cpu",
      "key": "{icon} ",
      "format": "{name} ({cores-physical}C/{cores-logical}T) @ {freq-max}"
    },
    {
      "type": "memory",
      "key": "{icon} "
    },
    {
      "type": "disk",
      "key": "{icon} "
    }, 
    {
      "type": "battery",
      "key": "{icon} ",
      "format": "{capacity-bar} {capacity} {time-hours}H {time-minutes}M"
    },
    {
      "key": "{icon} ",
      "type": "publicip",
      "timeout": 1000
    },
    "break",
    {
      "type": "colors",
      "symbol": "circle"
    },
    {
      "type": "terminalfont",
      "key": "{icon}"
    },
    "break",
    "break"
  ]
}
